"use strict";
var import_Surface = require("../Surface.css");
const jsxRuntime = require("react/jsx-runtime");
const kit_internal_Elevation = require("./internal/Elevation.cjs");
const kit_Theme_UI = require("./Theme/UI.cjs");
require("./Theme/themeUtils.cjs");
require("./Theme/themes.cjs");
const base = "Surface_base_d2796";
const css = {
  base
};
const Surface = ({ children, elevationOverride, hover }) => {
  const {
    themeSettings: { className: themeClass }
  } = kit_Theme_UI.useTheme();
  const classes = [css.base, themeClass];
  return /* @__PURE__ */ jsxRuntime.jsx(
    kit_internal_Elevation.ElevationWrapper,
    {
      border: true,
      className: classes.join(" "),
      elevationOverride,
      hover,
      children
    }
  );
};
module.exports = Surface;
